Index: trunk/SophyaLib/SysTools/smakefile
===================================================================
--- trunk/SophyaLib/SysTools/smakefile	(revision 3718)
+++ trunk/SophyaLib/SysTools/smakefile	(revision 3879)
@@ -11,54 +11,52 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)cexpre.o: cexpre.cc $(SOPHYAINCP)sopnamsp.h cexpre.h \
+$(SOPHYAOBJP)cexpre.o: cexpre.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  cexpre.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)anydataobj.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cexpre.cc
+ 
+$(SOPHYAOBJP)commander.o: commander.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  commander.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)randinterf.h \
+  pdlmgr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cexpre.cc
- 
-$(SOPHYAOBJP)commander.o: commander.cc $(SOPHYAINCP)sopnamsp.h \
-  commander.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h pdlmgr.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
-  ctimer.h $(SOPHYAINCP)strutil.h \
+  ctimer.h \
+  $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)strutilxx.h \
-  $(SOPHYAINCP)machdefs.h cexpre.h rpneval.h \
+  cexpre.h \
+  $(SOPHYAINCP)pexceptions.h \
+  rpneval.h \
   $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h zthread.h
+  zthread.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  commander.cc
  
-$(SOPHYAOBJP)ctimer.o: ctimer.cc $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h ctimer.h
+$(SOPHYAOBJP)ctimer.o: ctimer.cc \
+  $(SOPHYAINCP)machdefs.h \
+  ctimer.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ctimer.cc
  
-$(SOPHYAOBJP)cxxcmplnk.o: cxxcmplnk.cc $(SOPHYAINCP)sopnamsp.h \
-  cxxcmplnk.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
+$(SOPHYAOBJP)cxxcmplnk.o: cxxcmplnk.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  cxxcmplnk.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)sspvflags.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cxxcmplnk.cc
@@ -66,49 +64,50 @@
 $(SOPHYAOBJP)parlex.o: parlex.cc parlex.h zthread.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  parlex.cc
  
-$(SOPHYAOBJP)pdlmgr.o: pdlmgr.cc $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)sopnamsp.h pdlmgr.h
+$(SOPHYAOBJP)pdlmgr.o: pdlmgr.cc \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pdlmgr.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pdlmgr.cc
  
-$(SOPHYAOBJP)periodic.o: periodic.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)periodic.o: periodic.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h periodic.h
+  periodic.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  periodic.cc
  
-$(SOPHYAOBJP)psighand.o: psighand.cc $(SOPHYAINCP)sopnamsp.h psighand.h \
+$(SOPHYAOBJP)psighand.o: psighand.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  psighand.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  psighand.cc
  
-$(SOPHYAOBJP)resusage.o: resusage.cc $(SOPHYAINCP)sopnamsp.h resusage.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h
+$(SOPHYAOBJP)resusage.o: resusage.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  resusage.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  resusage.cc
  
-$(SOPHYAOBJP)rpneval.o: rpneval.cc $(SOPHYAINCP)sopnamsp.h rpneval.h \
+$(SOPHYAOBJP)rpneval.o: rpneval.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  rpneval.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)strutilxx.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h
+  $(SOPHYAINCP)anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  rpneval.cc
  
-$(SOPHYAOBJP)zthread.o: zthread.cc $(SOPHYAINCP)sopnamsp.h zthread.h \
+$(SOPHYAOBJP)zthread.o: zthread.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  zthread.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h
